> This page is for Postman API Docs.

> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt.

# Get analytics data

GET https://api.postman.com/analytics

Gets analytics data based on the specified resource, metrics, and given filters for team, internal, and public workspaces, as well as Partner Workspaces.

**Note:**

This endpoint only accepts the following resource:metric query parameter combinations:
- `user` — `workspace_active_users`, `active_users`
- `workspace` — `elements_in_workspace`, `active_workspaces`, `api_calls`, `active_collections`, `response_status`, `pending_invites`, `needs_attention`, `success_rate`, `user_requests`, `collection_error_aggregate`
- `team` — `user_api_journey`, `workspace_distribution`, `internal_workspace_distribution`, `license_consumption`, `members`, `last_autoflex_cycle`, `partner_engagement_funnel` `members_overtime` , `member_invites`, `invites_sent` , `invites_accepted`
- `ai` — `top_agent_models_by_usage`, `activity_distribution`, `peak_activity`, `usage_leaderboard`, `credit_usage_by_model`, `messages_sent`, `credit_usage`, `agent_mode_sessions`, `new_vs_returning_users`, `agent_mode_users`
- `api_development` — `active_workspaces`, `entity_activity`, `top_entities`
- `api_testing` — `runs`, `functional_test_runs`, `performance_test_runs`
- `api_production` — `monitor_runs`, `flow_executions`
- `api_distribution` — `active_workspaces`, `pvt_network`, `partner`, `public`
- `api_management` — `workspace_activity`

The `view` query parameter only accepts the following values when called with the following resource:metric pairs:
`detailed` or `summary` — `user:active_users`, `workspace:active_workspaces`, `workspace:pending_invites`, `workspace:needs_attention`, `workspace:success_rate`, `team:partner_engagement_funnel`, `api_distribution:pvt_network`, `api_distribution:partner`, `api_distribution:public`
- `detailed`, `summary`, or `trends` — `api_development:entity_activity`, `api_testing:functional_test_runs` , `api_testing:performance_test_runs`, `api_production:monitor_runs`, `api_production:flow_executions`
- `summary` or `trend` — `api_development:active_workspaces`, `api_testing:runs`, `api_distribution:active_workspaces`, `api_management:workspace_activity`
- `summary` only — `workspace:elements_in_workspace`, `workspace:workspace_active_users`, `workspace:api_calls`, `workspace:response_status`, `team:user_api_journey`, `team:workspace_distribution`, `team:internal_workspace_distribution`, `team:license_consumption`
- `detailed` only — `workspace:active_collections`, `workspace:user_requests`, `api_development:top_entities`, `api_management:popular_workspaces` , `team:invites_sent` , `team:invites_accepted`
- `trend` only — `team:members_overtime`, `team:member_invites`


Reference: https://learning.postman.com/api-docs/api-reference/analytics/get-analytics-data

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Servers

- `https://api.postman.com` (https://api.postman.com, default)
- `https://api.eu.postman.com` (https://api.eu.postman.com)

## Request

### Query parameters

- `resource` (enum, required) — Returns metrics and insights for API usage, success, and workspace/team trends in Postman: - `user` — Data related to individual user activities and engagement within Postman workspaces. - `team` — Team-level analytics, license consumption, and organizational trends. - `workspace` — Workspace-level activities, elements, and collaboration patterns. - `ai` — Analytics related to Agent Mode usage across workspaces, covering user activity, model usage, and credit consumption patterns. - `api_development` — API development activity metrics that include workspace counts, entity activity by type (collection, flow, mock, specification, sdk), and top entities. - `api_testing` — API testing metrics such as total test runs, functional test runs (Collection Runner), and performance test runs. - `api_production` — API production metrics, including monitor run activity and production flow execution activity. - `api_distribution` — API distribution metrics, such as active workspace counts across distribution channels. - `api_management` — API management metrics, such as workspace activity, active counts, trends, and top workspaces.
  - Allowed values: `user`, `team`, `workspace`, `ai`, `api_development`, `api_testing`, `api_production`, `api_distribution`, `api_management`
- `metrics` (enum, required) — Filters the response by only the given metrics. The metric must match the given `resource` value. For a list of metrics and their related `resource` value, call the GET `/analytics-metadata` endpoint.
  - Allowed values: `active_users`, `workspace_active_users`, `elements_in_workspace`, `active_workspaces`, `api_calls`, `active_collections`, `response_status`, `pending_invites`, `needs_attention`, `success_rate`, `user_requests`, `user_api_journey`, `workspace_distribution`, `internal_workspace_distribution`, `license_consumption`, `members`, `last_autoflex_cycle`, `partner_engagement_funnel`, `collection_error_aggregate`, `agent_mode_users`, `new_vs_returning_users`, `agent_mode_sessions`, `messages_sent`, `credit_usage`, `credit_usage_by_model`, `usage_leaderboard`, `peak_activity`, `activity_distribution`, `top_agent_models_by_usage`, `entity_activity`, `top_entities`, `runs`, `functional_test_runs`, `performance_test_runs`, `monitor_runs`, `flow_executions`, `pvt_network`, `partner`, `public`, `workspace_activity`, `members_overtime`, `member_invites`, `invites_sent`, `invites_accepted`
- `view` (enum, optional) — The view type for the analytics data: - `detailed` — Return extensive information. - `summary` — Return aggregated information. - `trend` — Return trend information over a duration.
  - Allowed values: `detailed`, `summary`, `trend`
- `workspaceType` (string, optional) — A comma-separated list of `internal`, `public`, and `partner` workspace types to filter the results by.
- `userId` (string, optional) — A comma-separated list of user IDs to filter the results by. Only pass this parameter when calling the `user_requests` metric for the `workspace` resource.
- `duration` (enum, optional) — Filters the response by the given duration.
  - Allowed values: `last_30_days`, `last_180_days`, `last_month`, `last_6_months`, `last_7_days`, `last_1_year`
- `requestId` (string, optional) — A comma-separated list of unique request IDs (`userId`-`requestId`) to filter the response by. Only pass this parameter when using the `user_requests` metric.
- `responseStatus` (string, optional) — A comma-separated list of HTTP response status codes to filter the results by. Accepts values `100` through `600`. Only pass this parameter when using the `user_requests` metric.
- `attentionType` (string, optional) — A comma-separated list of issues types to filter the results by. Attention types provide details about issues users or partners are facing. Accepts the `high_non_200OK_rate_for_partner` and `no_success_on_tried_request` values. Only pass this parameter when using the `needs_attention` metric.
- `period` (string, optional) — Filters results for a given period of time (as opposed to a range) for supported views. Use a YEAR-MONTH value for month filtering or YEAR-MONTH-DAY day filtering.
- `userType` (enum, optional) — Filters results by a specific user type for supported views.
  - Allowed values: `new`, `returning`
- `entityType` (enum, optional) — The type of Postman entity to filter results by.
  - Allowed values: `collection`, `specification`, `mock`, `flow`, `sdk-collection`, `sdk-specification`
- `limit` (integer, optional, default: 100) — The maximum number of rows to return in the response.
- `offset` (integer, optional, default: 0) — The zero-based offset of the first item to return.

## Response

### 200

Successful Response

- `data` (GetAnalyticsDataData, required) — The analytics data returned for the requested metric.

## Errors

### 400 Bad Request Error

Bad Request

- `type` (CommonErrorTypeTitleDetailStatusType, optional) — The type of error.
- `title` (string, optional) — A short summary of the problem.
- `detail` (string, optional) — Information about the error.
- `status` (integer, optional) — The error's HTTP status code.

### 401 Unauthorized Error

Unauthorized

- `type` (string, optional) — The [URI reference](https://www.rfc-editor.org/rfc/rfc3986) that identifies the type of problem.
- `title` (string, optional) — A short summary of the problem.
- `detail` (string, optional) — An explanation about the problem.
- `status` (integer, optional) — The HTTP status code generated by the origin server.
- `instance` (string, optional) — The URI reference that identifies the specific occurrence of the problem.

### 403 Forbidden Error

Forbidden

- `type` (string, optional) — The [URI reference](https://www.rfc-editor.org/rfc/rfc3986) that identifies the type of problem.
- `title` (string, optional) — A short summary of the problem.
- `detail` (string, optional) — An explanation about the problem.
- `status` (integer, optional) — The HTTP status code generated by the origin server.
- `instance` (string, optional) — The URI reference that identifies the specific occurrence of the problem.

### 500 Internal Server Error

Internal Server Error

- `GetAnalyticsDataRequestInternalServerError`
  - Error (Type, Title, Detail): commonErrorTypeTitleDetail
  - Error (Type, Title, Detail, Status): commonErrorTypeTitleDetailStatus
  - Error (Name, Message): commonErrorNameMessage

## Types

### GetAnalyticsDataData

The analytics data returned for the requested metric.

- Analytics Data Summary: getAnalyticsDataSummary
- Analytics Data Partner Engagement Funnel: getAnalyticsDataPartnerEngagmentFunnel

### CommonErrorTypeTitleDetailStatusType

The type of error.

- string
- string

### commonErrorTypeTitleDetail

- `type` (string, optional) — The type of error.
- `title` (string, optional) — A short summary of the problem.
- `detail` (CommonErrorTypeTitleDetailDetail, optional) — Information about the error.

### commonErrorTypeTitleDetailStatus

- `type` (CommonErrorTypeTitleDetailStatusType, optional) — The type of error.
- `title` (string, optional) — A short summary of the problem.
- `detail` (string, optional) — Information about the error.
- `status` (integer, optional) — The error's HTTP status code.

### commonErrorNameMessage

- `error` (CommonErrorNameMessageError, optional) — Information about the error.

### getAnalyticsDataSummary

- `summary` (getAnalyticsDataObject, required) — Data analytics information.

### getAnalyticsDataPartnerEngagmentFunnel

- `all_partners` (getAnalyticsDataAllPartners, optional) — Information about partner users and their activity.
- `workspace_visited` (getAnalyticsDataPartnerWorkspaceVisited, optional) — Information about partner users' workspace visits.
- `viewed_collection` (getAnalyticsDataPartnersViewedCollection, optional) — Information about partner users' views of collections in a workspace.
- `request_sent` (getAnalyticsDataPartnerRequestSent, optional) — Information about requests sent by partner users.
- `successful_requests_200OK` (getAnalyticsDataPartnerRequestSent200OK, optional) — Information about partner users' successful request calls in a workspace.

### CommonErrorTypeTitleDetailDetail

Information about the error.

- string
- map from string to any

### CommonErrorNameMessageError

Information about the error.

- `name` (string, optional) — The error name.
- `message` (string, optional) — The error message.

### getAnalyticsDataObject

Data analytics information.

- `schema` (getAnalyticsDataSchema, optional) — The shape of the analytics data (column definitions).
- `rows` (list of list of GetAnalyticsDataRowsDataItemsItems, optional) — A list of data row entries. Each row is an array of values that correspond to the columns defined in the schema.
- `pagination` (getAnalyticsDataPaginationData, optional) — Information about the response pagination.

### getAnalyticsDataAllPartners

Information about partner users and their activity.

- `schema` (getAnalyticsDataSchema, optional) — The shape of the analytics data (column definitions).
- `rows` (list of list of GetAnalyticsDataRowsDataItemsItems, optional) — A list of data row entries. Each row is an array of values that correspond to the columns defined in the schema.
- `pagination` (getAnalyticsDataPaginationData, optional) — Information about the response pagination.

### getAnalyticsDataPartnerWorkspaceVisited

Information about partner users' workspace visits.

- `schema` (getAnalyticsDataSchema, optional) — The shape of the analytics data (column definitions).
- `rows` (list of list of GetAnalyticsDataRowsDataItemsItems, optional) — A list of data row entries. Each row is an array of values that correspond to the columns defined in the schema.
- `pagination` (getAnalyticsDataPaginationData, optional) — Information about the response pagination.

### getAnalyticsDataPartnersViewedCollection

Information about partner users' views of collections in a workspace.

- `schema` (GetAnalyticsDataPartnersViewedCollectionSchema, optional) — The shape of the analytics data (column definitions).
- `rows` (list of list of GetAnalyticsDataRowsDataItemsItems, optional) — A list of data row entries. Each row is an array of values that correspond to the columns defined in the schema.
- `pagination` (getAnalyticsDataPaginationData, optional) — Information about the response pagination.

### getAnalyticsDataPartnerRequestSent

Information about requests sent by partner users.

- `schema` (GetAnalyticsDataPartnerRequestSentSchema, optional) — The shape of the analytics data (column definitions).
- `rows` (list of list of GetAnalyticsDataRowsDataItemsItems, optional) — A list of data row entries. Each row is an array of values that correspond to the columns defined in the schema.
- `pagination` (getAnalyticsDataPaginationData, optional) — Information about the response pagination.

### getAnalyticsDataPartnerRequestSent200OK

Information about partner users' successful request calls in a workspace.

- `schema` (GetAnalyticsDataPartnerRequestSent200OkSchema, optional) — The shape of the analytics data (column definitions).
- `rows` (list of list of GetAnalyticsDataRowsDataItemsItems, optional) — A list of data row entries. Each row is an array of values that correspond to the columns defined in the schema.
- `pagination` (getAnalyticsDataPaginationData, optional) — Information about the response pagination.

### getAnalyticsDataSchema

The shape of the analytics data (column definitions).

- `columns` (list of GetAnalyticsDataColumnsDataItems, optional) — A list of column entries.

### GetAnalyticsDataRowsDataItemsItems

- string
- integer
- double
- boolean

### getAnalyticsDataPaginationData

Information about the response pagination.

- `total` (integer, optional) — The total number of records available.
- `limit` (integer, optional) — The maximum number of records returned in the response.
- `offset` (integer, optional) — The number of records skipped.
- `has_more` (boolean, optional) — Indicates whether more are records available.

### GetAnalyticsDataPartnersViewedCollectionSchema

The shape of the analytics data (column definitions).

- `columns` (list of GetAnalyticsDataColumnsDataItems, optional) — A list of column entries.

### GetAnalyticsDataPartnerRequestSentSchema

The shape of the analytics data (column definitions).

- `columns` (list of GetAnalyticsDataColumnsDataItems, optional) — A list of column entries.

### GetAnalyticsDataPartnerRequestSent200OkSchema

The shape of the analytics data (column definitions).

- `columns` (list of GetAnalyticsDataColumnsDataItems, optional) — A list of column entries.

### GetAnalyticsDataColumnsDataItems

- `name` (string, optional) — The name of the column.
- `type` (enum, optional) — The data type of the column.
  - Allowed values: `DATE`, `STRING`, `INTEGER`, `TIMESTAMP`, `BOOLEAN`, `NUMBER`, `FLOAT`
- `format` (string, optional) — The data type's format.
- `description` (string, optional) — A description of what the column represents.

## Examples

### Users - Active Users - Top 5 Users

**Response**

```json
{
  "data": {
    "summary": {
      "pagination": {
        "has_more": true,
        "limit": 5,
        "offset": 0,
        "total": 573
      },
      "rows": [
        [
          "55894978",
          "2026-06-14",
          "2026-07-25",
          21,
          11,
          "Development, Testing"
        ],
        [
          "10009000",
          "2020-01-08",
          "2026-07-28",
          0,
          173,
          "Development"
        ],
        [
          "10020575",
          "2020-01-09",
          "2026-07-23",
          0,
          25,
          "Development, API Management"
        ],
        [
          "10102115",
          "2020-01-16",
          "2026-07-27",
          0,
          1,
          "API Management"
        ],
        [
          "10497157",
          "2020-02-25",
          "2026-07-28",
          0,
          42,
          "Development, API Management"
        ]
      ],
      "schema": {
        "columns": [
          {
            "description": "Unique identifier assigned to the user.",
            "name": "user_id",
            "type": "STRING"
          },
          {
            "description": "Date when the user joined the team.",
            "name": "team_joining_date",
            "type": "DATE"
          },
          {
            "description": "Timestamp of the user's most recent activity.",
            "format": "YYYY-MM-DDTHH:MM:SSZ",
            "name": "last_active_ts",
            "type": "TIMESTAMP"
          },
          {
            "description": "Total number of API requests made by the user.",
            "name": "api_requests_count",
            "type": "INTEGER"
          },
          {
            "description": "Total number of system actions made by the user.",
            "name": "system_actions_count",
            "type": "INTEGER"
          },
          {
            "description": "Primary tasks made by the user.",
            "name": "primary_tasks",
            "type": "STRING"
          }
        ]
      }
    }
  }
}
```

**SDK Code**

```python Users - Active Users - Top 5 Users
import requests

url = "https://api.postman.com/analytics"

querystring = {"limit":"5","metrics":"active_users","offset":"0","resource":"user","view":"detailed","workspaceType":"all"}

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Users - Active Users - Top 5 Users
const url = 'https://api.postman.com/analytics?limit=5&metrics=active_users&offset=0&resource=user&view=detailed&workspaceType=all';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Users - Active Users - Top 5 Users
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.postman.com/analytics?limit=5&metrics=active_users&offset=0&resource=user&view=detailed&workspaceType=all"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Users - Active Users - Top 5 Users
require 'uri'
require 'net/http'

url = URI("https://api.postman.com/analytics?limit=5&metrics=active_users&offset=0&resource=user&view=detailed&workspaceType=all")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Users - Active Users - Top 5 Users
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.postman.com/analytics?limit=5&metrics=active_users&offset=0&resource=user&view=detailed&workspaceType=all")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Users - Active Users - Top 5 Users
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.postman.com/analytics?limit=5&metrics=active_users&offset=0&resource=user&view=detailed&workspaceType=all', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Users - Active Users - Top 5 Users
using RestSharp;

var client = new RestClient("https://api.postman.com/analytics?limit=5&metrics=active_users&offset=0&resource=user&view=detailed&workspaceType=all");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Users - Active Users - Top 5 Users
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.postman.com/analytics?limit=5&metrics=active_users&offset=0&resource=user&view=detailed&workspaceType=all")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Users - Active Users - Count Trend

**Response**

```json
{
  "data": {
    "summary": {
      "rows": [
        [
          360,
          800,
          "increase"
        ]
      ],
      "schema": {
        "columns": [
          {
            "description": "Total number of active users.",
            "name": "count",
            "type": "INTEGER"
          },
          {
            "description": "Percentage change from the previous period.",
            "name": "change",
            "type": "FLOAT"
          },
          {
            "description": "Indicates whether the change is an increase or decrease.",
            "name": "change_type",
            "type": "STRING"
          }
        ]
      }
    }
  }
}
```

**SDK Code**

```python Users - Active Users - Count Trend
import requests

url = "https://api.postman.com/analytics"

querystring = {"duration":"last_30_days","metrics":"active_users","resource":"user","view":"summary","workspaceType":"all"}

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Users - Active Users - Count Trend
const url = 'https://api.postman.com/analytics?duration=last_30_days&metrics=active_users&resource=user&view=summary&workspaceType=all';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Users - Active Users - Count Trend
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.postman.com/analytics?duration=last_30_days&metrics=active_users&resource=user&view=summary&workspaceType=all"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Users - Active Users - Count Trend
require 'uri'
require 'net/http'

url = URI("https://api.postman.com/analytics?duration=last_30_days&metrics=active_users&resource=user&view=summary&workspaceType=all")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Users - Active Users - Count Trend
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.postman.com/analytics?duration=last_30_days&metrics=active_users&resource=user&view=summary&workspaceType=all")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Users - Active Users - Count Trend
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.postman.com/analytics?duration=last_30_days&metrics=active_users&resource=user&view=summary&workspaceType=all', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Users - Active Users - Count Trend
using RestSharp;

var client = new RestClient("https://api.postman.com/analytics?duration=last_30_days&metrics=active_users&resource=user&view=summary&workspaceType=all");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Users - Active Users - Count Trend
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.postman.com/analytics?duration=last_30_days&metrics=active_users&resource=user&view=summary&workspaceType=all")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Workspace Active Users - Count - Internal Workspace

**Response**

```json
{
  "data": {
    "summary": {
      "rows": [
        [
          149
        ]
      ],
      "schema": {
        "columns": [
          {
            "description": "Total number for the summarized metric.",
            "name": "count",
            "type": "INTEGER"
          }
        ]
      }
    }
  }
}
```

**SDK Code**

```python Workspace Active Users - Count - Internal Workspace
import requests

url = "https://api.postman.com/analytics"

querystring = {"duration":"last_30_days","metrics":"workspace_active_users","resource":"user","view":"summary","workspaceType":"internal"}

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Workspace Active Users - Count - Internal Workspace
const url = 'https://api.postman.com/analytics?duration=last_30_days&metrics=workspace_active_users&resource=user&view=summary&workspaceType=internal';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Workspace Active Users - Count - Internal Workspace
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.postman.com/analytics?duration=last_30_days&metrics=workspace_active_users&resource=user&view=summary&workspaceType=internal"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Workspace Active Users - Count - Internal Workspace
require 'uri'
require 'net/http'

url = URI("https://api.postman.com/analytics?duration=last_30_days&metrics=workspace_active_users&resource=user&view=summary&workspaceType=internal")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Workspace Active Users - Count - Internal Workspace
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.postman.com/analytics?duration=last_30_days&metrics=workspace_active_users&resource=user&view=summary&workspaceType=internal")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Workspace Active Users - Count - Internal Workspace
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.postman.com/analytics?duration=last_30_days&metrics=workspace_active_users&resource=user&view=summary&workspaceType=internal', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Workspace Active Users - Count - Internal Workspace
using RestSharp;

var client = new RestClient("https://api.postman.com/analytics?duration=last_30_days&metrics=workspace_active_users&resource=user&view=summary&workspaceType=internal");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Workspace Active Users - Count - Internal Workspace
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.postman.com/analytics?duration=last_30_days&metrics=workspace_active_users&resource=user&view=summary&workspaceType=internal")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Workspace - Elements

**Response**

```json
{
  "data": {
    "summary": {
      "rows": [
        [
          "2025-03-01",
          420,
          310,
          150,
          190,
          120
        ],
        [
          "2025-04-01",
          450,
          320,
          160,
          200,
          125
        ],
        [
          "2025-05-01",
          470,
          335,
          170,
          215,
          130
        ],
        [
          "2025-06-01",
          500,
          345,
          185,
          230,
          140
        ],
        [
          "2025-07-01",
          520,
          355,
          195,
          240,
          145
        ],
        [
          "2025-08-01",
          540,
          370,
          205,
          255,
          150
        ]
      ],
      "schema": {
        "columns": [
          {
            "description": "Reporting date for the aggregated metrics.",
            "format": "YYYY-MM-DD",
            "name": "timestamp",
            "type": "DATE"
          },
          {
            "description": "Total number of collections at the given time.",
            "name": "collections_count",
            "type": "INTEGER"
          },
          {
            "description": "Total number of environments at the given time.",
            "name": "environments_count",
            "type": "INTEGER"
          },
          {
            "description": "Total number of mock servers at the given time.",
            "name": "mocks_count",
            "type": "INTEGER"
          },
          {
            "description": "Total number of monitors at the given time.",
            "name": "monitors_count",
            "type": "INTEGER"
          },
          {
            "description": "Total number of flows created at the given time.",
            "name": "flows_count",
            "type": "INTEGER"
          }
        ]
      }
    }
  }
}
```

**SDK Code**

```python Workspace - Elements
import requests

url = "https://api.postman.com/analytics"

querystring = {"duration":"last_6_months","metrics":"elements_in_workspace","resource":"workspace","view":"summary","workspaceType":"public,partner,internal"}

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Workspace - Elements
const url = 'https://api.postman.com/analytics?duration=last_6_months&metrics=elements_in_workspace&resource=workspace&view=summary&workspaceType=public%2Cpartner%2Cinternal';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Workspace - Elements
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.postman.com/analytics?duration=last_6_months&metrics=elements_in_workspace&resource=workspace&view=summary&workspaceType=public%2Cpartner%2Cinternal"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Workspace - Elements
require 'uri'
require 'net/http'

url = URI("https://api.postman.com/analytics?duration=last_6_months&metrics=elements_in_workspace&resource=workspace&view=summary&workspaceType=public%2Cpartner%2Cinternal")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Workspace - Elements
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.postman.com/analytics?duration=last_6_months&metrics=elements_in_workspace&resource=workspace&view=summary&workspaceType=public%2Cpartner%2Cinternal")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Workspace - Elements
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.postman.com/analytics?duration=last_6_months&metrics=elements_in_workspace&resource=workspace&view=summary&workspaceType=public%2Cpartner%2Cinternal', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Workspace - Elements
using RestSharp;

var client = new RestClient("https://api.postman.com/analytics?duration=last_6_months&metrics=elements_in_workspace&resource=workspace&view=summary&workspaceType=public%2Cpartner%2Cinternal");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Workspace - Elements
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.postman.com/analytics?duration=last_6_months&metrics=elements_in_workspace&resource=workspace&view=summary&workspaceType=public%2Cpartner%2Cinternal")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Workspace - Elements - Internal Workspaces

**Response**

```json
{
  "data": {
    "summary": {
      "rows": [
        [
          "2025-03-01",
          420,
          310,
          150,
          190,
          120
        ],
        [
          "2025-04-01",
          450,
          320,
          160,
          200,
          125
        ],
        [
          "2025-05-01",
          470,
          335,
          170,
          215,
          130
        ],
        [
          "2025-06-01",
          500,
          345,
          185,
          230,
          140
        ],
        [
          "2025-07-01",
          520,
          355,
          195,
          240,
          145
        ],
        [
          "2025-08-01",
          540,
          370,
          205,
          255,
          150
        ]
      ],
      "schema": {
        "columns": [
          {
            "description": "Reporting date for the aggregated metrics.",
            "format": "YYYY-MM-DD",
            "name": "timestamp",
            "type": "DATE"
          },
          {
            "description": "Total number of collections at the given time.",
            "name": "collections_count",
            "type": "INTEGER"
          },
          {
            "description": "Total number of environments at the given time.",
            "name": "environments_count",
            "type": "INTEGER"
          },
          {
            "description": "Total number of mock servers at the given time.",
            "name": "mocks_count",
            "type": "INTEGER"
          },
          {
            "description": "Total number of monitors at the given time.",
            "name": "monitors_count",
            "type": "INTEGER"
          },
          {
            "description": "Total number of flows created at the given time.",
            "name": "flows_count",
            "type": "INTEGER"
          }
        ]
      }
    }
  }
}
```

**SDK Code**

```python Workspace - Elements - Internal Workspaces
import requests

url = "https://api.postman.com/analytics"

querystring = {"duration":"last_6_months","metrics":"elements_in_workspace","resource":"workspace","view":"summary","workspaceType":"internal"}

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Workspace - Elements - Internal Workspaces
const url = 'https://api.postman.com/analytics?duration=last_6_months&metrics=elements_in_workspace&resource=workspace&view=summary&workspaceType=internal';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Workspace - Elements - Internal Workspaces
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.postman.com/analytics?duration=last_6_months&metrics=elements_in_workspace&resource=workspace&view=summary&workspaceType=internal"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Workspace - Elements - Internal Workspaces
require 'uri'
require 'net/http'

url = URI("https://api.postman.com/analytics?duration=last_6_months&metrics=elements_in_workspace&resource=workspace&view=summary&workspaceType=internal")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Workspace - Elements - Internal Workspaces
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.postman.com/analytics?duration=last_6_months&metrics=elements_in_workspace&resource=workspace&view=summary&workspaceType=internal")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Workspace - Elements - Internal Workspaces
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.postman.com/analytics?duration=last_6_months&metrics=elements_in_workspace&resource=workspace&view=summary&workspaceType=internal', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Workspace - Elements - Internal Workspaces
using RestSharp;

var client = new RestClient("https://api.postman.com/analytics?duration=last_6_months&metrics=elements_in_workspace&resource=workspace&view=summary&workspaceType=internal");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Workspace - Elements - Internal Workspaces
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.postman.com/analytics?duration=last_6_months&metrics=elements_in_workspace&resource=workspace&view=summary&workspaceType=internal")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Workspace - Active Workspace

**Response**

```json
{
  "data": {
    "summary": {
      "pagination": {
        "has_more": true,
        "limit": 5,
        "offset": 0,
        "total": 238
      },
      "rows": [
        [
          true,
          "2792cd99-7c05-43fa-90ad-5e2bf098ae14",
          null,
          "12345678",
          "internal",
          1,
          56
        ],
        [
          true,
          "e7c2871e-c9cc-4e39-a541-41bfdebbea7f",
          null,
          "12345678",
          "internal",
          0,
          32
        ],
        [
          true,
          "6e97104e-01cd-4ae0-991e-6a7905f6252d",
          null,
          "56781234",
          "internal",
          3,
          32
        ],
        [
          false,
          "36c18c9f-e942-4119-bef8-2cf0ebede4e9",
          "User Authentication API",
          "12345678",
          "internal",
          2,
          95
        ],
        [
          false,
          "66764399-25d0-4dc5-9e9d-30a433c1df63",
          "Performance Monitors",
          "56781234",
          "internal",
          0,
          15
        ]
      ],
      "schema": {
        "columns": [
          {
            "description": "Indicates whether the workspace is hidden.",
            "name": "is_hidden",
            "type": "BOOLEAN"
          },
          {
            "description": "Unique identifier of the workspace.",
            "name": "workspace_id",
            "type": "STRING"
          },
          {
            "description": "Display name of the workspace.",
            "name": "workspace_name",
            "type": "STRING"
          },
          {
            "description": "Name of the user who created the workspace.",
            "name": "created_by",
            "type": "STRING"
          },
          {
            "description": "Category of the workspace such as internal or partner.",
            "name": "type",
            "type": "STRING"
          },
          {
            "description": "Number of contributors in the workspace.",
            "name": "contributors",
            "type": "INTEGER"
          },
          {
            "description": "Total number of API calls made within the workspace.",
            "name": "api_calls",
            "type": "INTEGER"
          }
        ]
      }
    }
  }
}
```

**SDK Code**

```python Workspace - Active Workspace
import requests

url = "https://api.postman.com/analytics"

querystring = {"duration":"last_30_days","limit":"5","metrics":"active_workspaces","offset":"0","resource":"workspace","view":"summary","workspaceType":"public,partner,internal"}

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Workspace - Active Workspace
const url = 'https://api.postman.com/analytics?duration=last_30_days&limit=5&metrics=active_workspaces&offset=0&resource=workspace&view=summary&workspaceType=public%2Cpartner%2Cinternal';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Workspace - Active Workspace
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.postman.com/analytics?duration=last_30_days&limit=5&metrics=active_workspaces&offset=0&resource=workspace&view=summary&workspaceType=public%2Cpartner%2Cinternal"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Workspace - Active Workspace
require 'uri'
require 'net/http'

url = URI("https://api.postman.com/analytics?duration=last_30_days&limit=5&metrics=active_workspaces&offset=0&resource=workspace&view=summary&workspaceType=public%2Cpartner%2Cinternal")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Workspace - Active Workspace
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.postman.com/analytics?duration=last_30_days&limit=5&metrics=active_workspaces&offset=0&resource=workspace&view=summary&workspaceType=public%2Cpartner%2Cinternal")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Workspace - Active Workspace
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.postman.com/analytics?duration=last_30_days&limit=5&metrics=active_workspaces&offset=0&resource=workspace&view=summary&workspaceType=public%2Cpartner%2Cinternal', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Workspace - Active Workspace
using RestSharp;

var client = new RestClient("https://api.postman.com/analytics?duration=last_30_days&limit=5&metrics=active_workspaces&offset=0&resource=workspace&view=summary&workspaceType=public%2Cpartner%2Cinternal");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Workspace - Active Workspace
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.postman.com/analytics?duration=last_30_days&limit=5&metrics=active_workspaces&offset=0&resource=workspace&view=summary&workspaceType=public%2Cpartner%2Cinternal")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Workspace - Active Workspaces - Internal Workspaces

**Response**

```json
{
  "data": {
    "summary": {
      "pagination": {
        "has_more": true,
        "limit": 3,
        "offset": 0,
        "total": 214
      },
      "rows": [
        [
          true,
          "2792cd99-7c05-43fa-90ad-5e2bf098ae14",
          null,
          "12345678",
          "internal",
          1,
          56
        ],
        [
          true,
          "e7c2871e-c9cc-4e39-a541-41bfdebbea7f",
          null,
          "12345678",
          "internal",
          0,
          32
        ],
        [
          true,
          "6e97104e-01cd-4ae0-991e-6a7905f6252d",
          null,
          "56781234",
          "internal",
          1,
          32
        ]
      ],
      "schema": {
        "columns": [
          {
            "description": "Indicates whether the workspace is hidden.",
            "name": "is_hidden",
            "type": "BOOLEAN"
          },
          {
            "description": "Unique identifier of the workspace.",
            "name": "workspace_id",
            "type": "STRING"
          },
          {
            "description": "Display name of the workspace.",
            "name": "workspace_name",
            "type": "STRING"
          },
          {
            "description": "Name of the user who created the workspace.",
            "name": "created_by",
            "type": "STRING"
          },
          {
            "description": "Category of the workspace such as internal or partner.",
            "name": "type",
            "type": "STRING"
          },
          {
            "description": "Number of contributors in the workspace.",
            "name": "contributors",
            "type": "INTEGER"
          },
          {
            "description": "Total number of API calls made within the workspace.",
            "name": "api_calls",
            "type": "INTEGER"
          }
        ]
      }
    }
  }
}
```

**SDK Code**

```python Workspace - Active Workspaces - Internal Workspaces
import requests

url = "https://api.postman.com/analytics"

querystring = {"duration":"last_30_days","limit":"3","metrics":"active_workspaces","offset":"0","resource":"workspace","view":"summary","workspaceType":"internal"}

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Workspace - Active Workspaces - Internal Workspaces
const url = 'https://api.postman.com/analytics?duration=last_30_days&limit=3&metrics=active_workspaces&offset=0&resource=workspace&view=summary&workspaceType=internal';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Workspace - Active Workspaces - Internal Workspaces
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.postman.com/analytics?duration=last_30_days&limit=3&metrics=active_workspaces&offset=0&resource=workspace&view=summary&workspaceType=internal"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Workspace - Active Workspaces - Internal Workspaces
require 'uri'
require 'net/http'

url = URI("https://api.postman.com/analytics?duration=last_30_days&limit=3&metrics=active_workspaces&offset=0&resource=workspace&view=summary&workspaceType=internal")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Workspace - Active Workspaces - Internal Workspaces
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.postman.com/analytics?duration=last_30_days&limit=3&metrics=active_workspaces&offset=0&resource=workspace&view=summary&workspaceType=internal")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Workspace - Active Workspaces - Internal Workspaces
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.postman.com/analytics?duration=last_30_days&limit=3&metrics=active_workspaces&offset=0&resource=workspace&view=summary&workspaceType=internal', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Workspace - Active Workspaces - Internal Workspaces
using RestSharp;

var client = new RestClient("https://api.postman.com/analytics?duration=last_30_days&limit=3&metrics=active_workspaces&offset=0&resource=workspace&view=summary&workspaceType=internal");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Workspace - Active Workspaces - Internal Workspaces
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.postman.com/analytics?duration=last_30_days&limit=3&metrics=active_workspaces&offset=0&resource=workspace&view=summary&workspaceType=internal")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Workspace - Active - Count Trend

**Response**

```json
{
  "data": {
    "summary": {
      "rows": [
        [
          312,
          4.69,
          "increase"
        ]
      ],
      "schema": {
        "columns": [
          {
            "description": "Total number for the summarized metric.",
            "name": "count",
            "type": "INTEGER"
          },
          {
            "description": "Percentage or numeric change from the previous value.",
            "name": "change",
            "type": "FLOAT"
          },
          {
            "description": "Indicates whether the change is an increase or decrease.",
            "name": "change_type",
            "type": "STRING"
          }
        ]
      }
    }
  }
}
```

**SDK Code**

```python Workspace - Active - Count Trend
import requests

url = "https://api.postman.com/analytics"

querystring = {"duration":"last_30_days","limit":"5","metrics":"active_workspaces","offset":"0","resource":"workspace","view":"summary","workspaceType":"public,partner,internal"}

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Workspace - Active - Count Trend
const url = 'https://api.postman.com/analytics?duration=last_30_days&limit=5&metrics=active_workspaces&offset=0&resource=workspace&view=summary&workspaceType=public%2Cpartner%2Cinternal';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Workspace - Active - Count Trend
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.postman.com/analytics?duration=last_30_days&limit=5&metrics=active_workspaces&offset=0&resource=workspace&view=summary&workspaceType=public%2Cpartner%2Cinternal"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Workspace - Active - Count Trend
require 'uri'
require 'net/http'

url = URI("https://api.postman.com/analytics?duration=last_30_days&limit=5&metrics=active_workspaces&offset=0&resource=workspace&view=summary&workspaceType=public%2Cpartner%2Cinternal")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Workspace - Active - Count Trend
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.postman.com/analytics?duration=last_30_days&limit=5&metrics=active_workspaces&offset=0&resource=workspace&view=summary&workspaceType=public%2Cpartner%2Cinternal")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Workspace - Active - Count Trend
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.postman.com/analytics?duration=last_30_days&limit=5&metrics=active_workspaces&offset=0&resource=workspace&view=summary&workspaceType=public%2Cpartner%2Cinternal', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Workspace - Active - Count Trend
using RestSharp;

var client = new RestClient("https://api.postman.com/analytics?duration=last_30_days&limit=5&metrics=active_workspaces&offset=0&resource=workspace&view=summary&workspaceType=public%2Cpartner%2Cinternal");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Workspace - Active - Count Trend
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.postman.com/analytics?duration=last_30_days&limit=5&metrics=active_workspaces&offset=0&resource=workspace&view=summary&workspaceType=public%2Cpartner%2Cinternal")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Workspace - Active - Count Trend - Internal Workspace

**Response**

```json
{
  "data": {
    "summary": {
      "rows": [
        [
          312,
          4.69,
          "increase"
        ]
      ],
      "schema": {
        "columns": [
          {
            "description": "Total number for the summarized metric.",
            "name": "count",
            "type": "INTEGER"
          },
          {
            "description": "Percentage or numeric change from the previous value.",
            "name": "change",
            "type": "FLOAT"
          },
          {
            "description": "Indicates whether the change is an increase or decrease.",
            "name": "change_type",
            "type": "STRING"
          }
        ]
      }
    }
  }
}
```

**SDK Code**

```python Workspace - Active - Count Trend - Internal Workspace
import requests

url = "https://api.postman.com/analytics"

querystring = {"duration":"last_30_days","limit":"5","metrics":"active_workspaces","offset":"0","resource":"workspace","view":"summary","workspaceType":"internal"}

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Workspace - Active - Count Trend - Internal Workspace
const url = 'https://api.postman.com/analytics?duration=last_30_days&limit=5&metrics=active_workspaces&offset=0&resource=workspace&view=summary&workspaceType=internal';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Workspace - Active - Count Trend - Internal Workspace
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.postman.com/analytics?duration=last_30_days&limit=5&metrics=active_workspaces&offset=0&resource=workspace&view=summary&workspaceType=internal"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Workspace - Active - Count Trend - Internal Workspace
require 'uri'
require 'net/http'

url = URI("https://api.postman.com/analytics?duration=last_30_days&limit=5&metrics=active_workspaces&offset=0&resource=workspace&view=summary&workspaceType=internal")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Workspace - Active - Count Trend - Internal Workspace
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.postman.com/analytics?duration=last_30_days&limit=5&metrics=active_workspaces&offset=0&resource=workspace&view=summary&workspaceType=internal")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Workspace - Active - Count Trend - Internal Workspace
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.postman.com/analytics?duration=last_30_days&limit=5&metrics=active_workspaces&offset=0&resource=workspace&view=summary&workspaceType=internal', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Workspace - Active - Count Trend - Internal Workspace
using RestSharp;

var client = new RestClient("https://api.postman.com/analytics?duration=last_30_days&limit=5&metrics=active_workspaces&offset=0&resource=workspace&view=summary&workspaceType=internal");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Workspace - Active - Count Trend - Internal Workspace
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.postman.com/analytics?duration=last_30_days&limit=5&metrics=active_workspaces&offset=0&resource=workspace&view=summary&workspaceType=internal")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Workspace - Active Users - Count - Internal Workspace

**Response**

```json
{
  "data": {
    "summary": {
      "rows": [
        [
          149
        ]
      ],
      "schema": {
        "columns": [
          {
            "description": "Total number for the summarized metric.",
            "name": "count",
            "type": "INTEGER"
          }
        ]
      }
    }
  }
}
```

**SDK Code**

```python Workspace - Active Users - Count - Internal Workspace
import requests

url = "https://api.postman.com/analytics"

querystring = {"duration":"last_30_days","metrics":"workspace_active_users","resource":"user","view":"summary","workspaceType":"internal"}

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Workspace - Active Users - Count - Internal Workspace
const url = 'https://api.postman.com/analytics?duration=last_30_days&metrics=workspace_active_users&resource=user&view=summary&workspaceType=internal';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Workspace - Active Users - Count - Internal Workspace
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.postman.com/analytics?duration=last_30_days&metrics=workspace_active_users&resource=user&view=summary&workspaceType=internal"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Workspace - Active Users - Count - Internal Workspace
require 'uri'
require 'net/http'

url = URI("https://api.postman.com/analytics?duration=last_30_days&metrics=workspace_active_users&resource=user&view=summary&workspaceType=internal")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Workspace - Active Users - Count - Internal Workspace
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.postman.com/analytics?duration=last_30_days&metrics=workspace_active_users&resource=user&view=summary&workspaceType=internal")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Workspace - Active Users - Count - Internal Workspace
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.postman.com/analytics?duration=last_30_days&metrics=workspace_active_users&resource=user&view=summary&workspaceType=internal', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Workspace - Active Users - Count - Internal Workspace
using RestSharp;

var client = new RestClient("https://api.postman.com/analytics?duration=last_30_days&metrics=workspace_active_users&resource=user&view=summary&workspaceType=internal");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Workspace - Active Users - Count - Internal Workspace
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.postman.com/analytics?duration=last_30_days&metrics=workspace_active_users&resource=user&view=summary&workspaceType=internal")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Workspace - API Calls - Count Trend

**Response**

```json
{
  "data": {
    "summary": {
      "rows": [
        [
          120546,
          3.74,
          "increase"
        ]
      ],
      "schema": {
        "columns": [
          {
            "description": "Total number for the summarized metric.",
            "name": "count",
            "type": "INTEGER"
          },
          {
            "description": "Percentage or numeric change from the previous value.",
            "name": "change",
            "type": "FLOAT"
          },
          {
            "description": "Indicates whether the change is an increase or decrease.",
            "name": "change_type",
            "type": "STRING"
          }
        ]
      }
    }
  }
}
```

**SDK Code**

```python Workspace - API Calls - Count Trend
import requests

url = "https://api.postman.com/analytics"

querystring = {"duration":"last_30_days","metrics":"api_calls","resource":"workspace","view":"summary","workspaceType":"all"}

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Workspace - API Calls - Count Trend
const url = 'https://api.postman.com/analytics?duration=last_30_days&metrics=api_calls&resource=workspace&view=summary&workspaceType=all';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Workspace - API Calls - Count Trend
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.postman.com/analytics?duration=last_30_days&metrics=api_calls&resource=workspace&view=summary&workspaceType=all"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Workspace - API Calls - Count Trend
require 'uri'
require 'net/http'

url = URI("https://api.postman.com/analytics?duration=last_30_days&metrics=api_calls&resource=workspace&view=summary&workspaceType=all")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Workspace - API Calls - Count Trend
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.postman.com/analytics?duration=last_30_days&metrics=api_calls&resource=workspace&view=summary&workspaceType=all")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Workspace - API Calls - Count Trend
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.postman.com/analytics?duration=last_30_days&metrics=api_calls&resource=workspace&view=summary&workspaceType=all', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Workspace - API Calls - Count Trend
using RestSharp;

var client = new RestClient("https://api.postman.com/analytics?duration=last_30_days&metrics=api_calls&resource=workspace&view=summary&workspaceType=all");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Workspace - API Calls - Count Trend
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.postman.com/analytics?duration=last_30_days&metrics=api_calls&resource=workspace&view=summary&workspaceType=all")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Workspace - API Calls - Count Trend - Internal Workspace

**Response**

```json
{
  "data": {
    "summary": {
      "rows": [
        [
          120546,
          3.74,
          "increase"
        ]
      ],
      "schema": {
        "columns": [
          {
            "description": "Total number for the summarized metric.",
            "name": "count",
            "type": "INTEGER"
          },
          {
            "description": "Percentage or numeric change from the previous value.",
            "name": "change",
            "type": "FLOAT"
          },
          {
            "description": "Indicates whether the change is an increase or decrease.",
            "name": "change_type",
            "type": "STRING"
          }
        ]
      }
    }
  }
}
```

**SDK Code**

```python Workspace - API Calls - Count Trend - Internal Workspace
import requests

url = "https://api.postman.com/analytics"

querystring = {"duration":"last_30_days","metrics":"api_calls","resource":"workspace","view":"summary","workspaceType":"internal"}

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Workspace - API Calls - Count Trend - Internal Workspace
const url = 'https://api.postman.com/analytics?duration=last_30_days&metrics=api_calls&resource=workspace&view=summary&workspaceType=internal';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Workspace - API Calls - Count Trend - Internal Workspace
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.postman.com/analytics?duration=last_30_days&metrics=api_calls&resource=workspace&view=summary&workspaceType=internal"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Workspace - API Calls - Count Trend - Internal Workspace
require 'uri'
require 'net/http'

url = URI("https://api.postman.com/analytics?duration=last_30_days&metrics=api_calls&resource=workspace&view=summary&workspaceType=internal")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Workspace - API Calls - Count Trend - Internal Workspace
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.postman.com/analytics?duration=last_30_days&metrics=api_calls&resource=workspace&view=summary&workspaceType=internal")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Workspace - API Calls - Count Trend - Internal Workspace
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.postman.com/analytics?duration=last_30_days&metrics=api_calls&resource=workspace&view=summary&workspaceType=internal', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Workspace - API Calls - Count Trend - Internal Workspace
using RestSharp;

var client = new RestClient("https://api.postman.com/analytics?duration=last_30_days&metrics=api_calls&resource=workspace&view=summary&workspaceType=internal");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Workspace - API Calls - Count Trend - Internal Workspace
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.postman.com/analytics?duration=last_30_days&metrics=api_calls&resource=workspace&view=summary&workspaceType=internal")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Workspace - Active Collections

**Response**

```json
{
  "data": {
    "summary": {
      "pagination": {
        "has_more": true,
        "limit": 3,
        "offset": 0,
        "total": 38
      },
      "rows": [
        [
          false,
          "12345678-f5c93a94-8981-4005-a75a-a02d5a4e5235",
          "Service Monitoring API",
          "Engineering Hub",
          "12345678",
          152
        ],
        [
          false,
          "975a340d-5911-486c-8382-8d952ac4f336",
          "Import Tools",
          "Gateway Tools",
          "12345678",
          100
        ],
        [
          false,
          "36c18c9f-e942-4119-bef8-2cf0ebede4e9",
          "User Authentication API",
          "Partner API Hub",
          "12345678",
          95
        ]
      ],
      "schema": {
        "columns": [
          {
            "description": "Indicates whether the collection is hidden.",
            "name": "is_hidden",
            "type": "BOOLEAN"
          },
          {
            "description": "Unique identifier of the collection.",
            "name": "collection_id",
            "type": "STRING"
          },
          {
            "description": "Display name of the collection.",
            "name": "collection_name",
            "type": "STRING"
          },
          {
            "description": "Name of the workspace containing the collection.",
            "name": "workspace_name",
            "type": "STRING"
          },
          {
            "description": "Unique identifier assigned to the user.",
            "name": "created_by",
            "type": "STRING"
          },
          {
            "description": "Total number of API calls made using requests in this collection.",
            "name": "api_calls_count",
            "type": "INTEGER"
          }
        ]
      }
    }
  }
}
```

**SDK Code**

```python Workspace - Active Collections
import requests

url = "https://api.postman.com/analytics"

querystring = {"duration":"last_30_days","limit":"3","metrics":"active_collections","resource":"workspace","view":"detailed","workspaceType":"public,partner,internal"}

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Workspace - Active Collections
const url = 'https://api.postman.com/analytics?duration=last_30_days&limit=3&metrics=active_collections&resource=workspace&view=detailed&workspaceType=public%2Cpartner%2Cinternal';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Workspace - Active Collections
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.postman.com/analytics?duration=last_30_days&limit=3&metrics=active_collections&resource=workspace&view=detailed&workspaceType=public%2Cpartner%2Cinternal"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Workspace - Active Collections
require 'uri'
require 'net/http'

url = URI("https://api.postman.com/analytics?duration=last_30_days&limit=3&metrics=active_collections&resource=workspace&view=detailed&workspaceType=public%2Cpartner%2Cinternal")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Workspace - Active Collections
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.postman.com/analytics?duration=last_30_days&limit=3&metrics=active_collections&resource=workspace&view=detailed&workspaceType=public%2Cpartner%2Cinternal")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Workspace - Active Collections
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.postman.com/analytics?duration=last_30_days&limit=3&metrics=active_collections&resource=workspace&view=detailed&workspaceType=public%2Cpartner%2Cinternal', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Workspace - Active Collections
using RestSharp;

var client = new RestClient("https://api.postman.com/analytics?duration=last_30_days&limit=3&metrics=active_collections&resource=workspace&view=detailed&workspaceType=public%2Cpartner%2Cinternal");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Workspace - Active Collections
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.postman.com/analytics?duration=last_30_days&limit=3&metrics=active_collections&resource=workspace&view=detailed&workspaceType=public%2Cpartner%2Cinternal")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Workspace - Active Collections - Internal Workspaces

**Response**

```json
{
  "data": {
    "summary": {
      "pagination": {
        "has_more": true,
        "limit": 3,
        "offset": 0,
        "total": 38
      },
      "rows": [
        [
          false,
          "56781234-dd14b810-bb36-4549-9410-1c30728fb417",
          "Service Monitoring API",
          "Engineering Hub",
          "56781234",
          39
        ],
        [
          false,
          "56781234-dd14b810-bb36-4549-9410-1c30728fb417",
          "Service Monitoring API",
          "Engineering Hub",
          "56781234",
          109
        ],
        [
          false,
          "12345678-975a340d-5911-486c-8382-8d952ac4f336",
          "Import Tools",
          "Gateway Tools",
          "12345678",
          29
        ]
      ],
      "schema": {
        "columns": [
          {
            "description": "Indicates whether the collection is hidden.",
            "name": "is_hidden",
            "type": "BOOLEAN"
          },
          {
            "description": "Unique identifier of the collection.",
            "name": "collection_id",
            "type": "STRING"
          },
          {
            "description": "Display name of the collection.",
            "name": "collection_name",
            "type": "STRING"
          },
          {
            "description": "Name of the workspace containing the collection.",
            "name": "workspace_name",
            "type": "STRING"
          },
          {
            "description": "Unique identifier assigned to the user.",
            "name": "created_by",
            "type": "STRING"
          },
          {
            "description": "Total number of API calls made using requests in this collection.",
            "name": "api_calls_count",
            "type": "INTEGER"
          }
        ]
      }
    }
  }
}
```

**SDK Code**

```python Workspace - Active Collections - Internal Workspaces
import requests

url = "https://api.postman.com/analytics"

querystring = {"duration":"last_30_days","limit":"3","metrics":"active_collections","resource":"workspace","view":"detailed","workspaceType":"internal"}

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Workspace - Active Collections - Internal Workspaces
const url = 'https://api.postman.com/analytics?duration=last_30_days&limit=3&metrics=active_collections&resource=workspace&view=detailed&workspaceType=internal';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Workspace - Active Collections - Internal Workspaces
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.postman.com/analytics?duration=last_30_days&limit=3&metrics=active_collections&resource=workspace&view=detailed&workspaceType=internal"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Workspace - Active Collections - Internal Workspaces
require 'uri'
require 'net/http'

url = URI("https://api.postman.com/analytics?duration=last_30_days&limit=3&metrics=active_collections&resource=workspace&view=detailed&workspaceType=internal")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Workspace - Active Collections - Internal Workspaces
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.postman.com/analytics?duration=last_30_days&limit=3&metrics=active_collections&resource=workspace&view=detailed&workspaceType=internal")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Workspace - Active Collections - Internal Workspaces
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.postman.com/analytics?duration=last_30_days&limit=3&metrics=active_collections&resource=workspace&view=detailed&workspaceType=internal', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Workspace - Active Collections - Internal Workspaces
using RestSharp;

var client = new RestClient("https://api.postman.com/analytics?duration=last_30_days&limit=3&metrics=active_collections&resource=workspace&view=detailed&workspaceType=internal");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Workspace - Active Collections - Internal Workspaces
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.postman.com/analytics?duration=last_30_days&limit=3&metrics=active_collections&resource=workspace&view=detailed&workspaceType=internal")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```

### Workspace - Response Status Trend

**Response**

```json
{
  "data": {
    "summary": {
      "rows": [
        [
          "2025-03-01",
          102340,
          74480,
          3120,
          23100,
          4760
        ],
        [
          "2025-04-01",
          110540,
          80210,
          2990,
          25340,
          4990
        ],
        [
          "2025-05-01",
          125780,
          92410,
          3200,
          28200,
          5170
        ],
        [
          "2025-06-01",
          118420,
          86540,
          3030,
          27050,
          4830
        ],
        [
          "2025-07-01",
          121360,
          88250,
          3300,
          28210,
          4900
        ],
        [
          "2025-08-01",
          130550,
          95400,
          3530,
          29620,
          5530
        ]
      ],
      "schema": {
        "columns": [
          {
            "description": "Reporting date for the aggregated API metrics.",
            "format": "YYYY-MM-DD",
            "name": "timestamp",
            "type": "DATE"
          },
          {
            "description": "Total number of API requests for the given date.",
            "name": "total_count",
            "type": "INTEGER"
          },
          {
            "description": "Number of successful API responses (2xx).",
            "name": "count_2xx",
            "type": "INTEGER"
          },
          {
            "description": "Number of redirection responses (3xx).",
            "name": "count_3xx",
            "type": "INTEGER"
          },
          {
            "description": "Number of client error responses (4xx).",
            "name": "count_4xx",
            "type": "INTEGER"
          },
          {
            "description": "Number of server error responses (5xx).",
            "name": "count_5xx",
            "type": "INTEGER"
          }
        ]
      }
    }
  }
}
```

**SDK Code**

```python Workspace - Response Status Trend
import requests

url = "https://api.postman.com/analytics"

querystring = {"duration":"last_6_months","metrics":"response_status","resource":"workspace","view":"summary","workspaceType":"public,partner,internal"}

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Workspace - Response Status Trend
const url = 'https://api.postman.com/analytics?duration=last_6_months&metrics=response_status&resource=workspace&view=summary&workspaceType=public%2Cpartner%2Cinternal';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Workspace - Response Status Trend
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.postman.com/analytics?duration=last_6_months&metrics=response_status&resource=workspace&view=summary&workspaceType=public%2Cpartner%2Cinternal"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Workspace - Response Status Trend
require 'uri'
require 'net/http'

url = URI("https://api.postman.com/analytics?duration=last_6_months&metrics=response_status&resource=workspace&view=summary&workspaceType=public%2Cpartner%2Cinternal")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Workspace - Response Status Trend
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.postman.com/analytics?duration=last_6_months&metrics=response_status&resource=workspace&view=summary&workspaceType=public%2Cpartner%2Cinternal")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Workspace - Response Status Trend
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.postman.com/analytics?duration=last_6_months&metrics=response_status&resource=workspace&view=summary&workspaceType=public%2Cpartner%2Cinternal', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Workspace - Response Status Trend
using RestSharp;

[...]
